qpid-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From acon...@apache.org
Subject svn commit: r604249 - in /incubator/qpid/trunk/qpid/cpp/examples: Makefile.am examples/direct/direct_config_queues.cpp examples/fanout/fanout_config_queues.cpp verify
Date Fri, 14 Dec 2007 18:40:05 GMT
Author: aconway
Date: Fri Dec 14 10:40:03 2007
New Revision: 604249

URL: http://svn.apache.org/viewvc?rev=604249&view=rev
Log:
verify: starts its own broker when run in build.
Makefile.am: fixed verify issues.

Removed:
    incubator/qpid/trunk/qpid/cpp/examples/examples/direct/direct_config_queues.cpp
    incubator/qpid/trunk/qpid/cpp/examples/examples/fanout/fanout_config_queues.cpp
Modified:
    incubator/qpid/trunk/qpid/cpp/examples/Makefile.am
    incubator/qpid/trunk/qpid/cpp/examples/verify

Modified: incubator/qpid/trunk/qpid/cpp/examples/Makefile.am
URL: http://svn.apache.org/viewvc/incubator/qpid/trunk/qpid/cpp/examples/Makefile.am?rev=604249&r1=604248&r2=604249&view=diff
==============================================================================
--- incubator/qpid/trunk/qpid/cpp/examples/Makefile.am (original)
+++ incubator/qpid/trunk/qpid/cpp/examples/Makefile.am Fri Dec 14 10:40:03 2007
@@ -1,11 +1,12 @@
 
+# List all example files here
 nobase_pkgdata_DATA=						\
 	examples/Makefile					\
 	examples/request-response/client.cpp			\
 	examples/request-response/server.cpp			\
 	examples/request-response/Makefile			\
 	examples/fanout/Makefile				\
-	examples/fanout/fanout_config_queues.cpp		\
+	examples/fanout/declare_queues.cpp			\
 	examples/fanout/listener.cpp				\
 	examples/fanout/fanout_publisher.cpp			\
 	examples/pub-sub/Makefile				\
@@ -15,7 +16,7 @@
 	examples/direct/direct_publisher.cpp			\
 	examples/direct/direct_persistent_config_queues.cpp	\
 	examples/direct/listener.cpp				\
-	examples/direct/direct_config_queues.cpp		\
+	examples/direct/declare_queues.cpp			\
 	examples/direct/direct_persistent_publisher.cpp
 
 EXTRA_DIST=$(nobase_pkgdata_DATA)
@@ -30,20 +31,21 @@
 
 abs_srcdir=@abs_srcdir@
 abs_top_builddir=@abs_top_builddir@
+abs_top_srcdir=@abs_top_srcdir@
 
 # Build the examples in the source tree.
 all-local:
 	cd examples && $(MAKE) CXX="$(CXX)" CXXFLAGS="-I../../$(top_srcdir)/src -I../../$(top_srcdir)/src/gen
-I../../$(top_builddir)/src/gen -L../../$(top_builddir)/src/.libs -Wl,-rpath,$(abs_top_builddir)/src/.libs"
all
 
-# Verify the examples in the source tree.
+# Verify the examples in the buid tree.
 check-local:
-	cd examples && QPIDD=$(abs_top_builddir)/src/qpidd ../verify
+	cd examples && QPIDD=$(abs_top_builddir)/src/qpidd $(abs_top_srcdir)/examples/verify
 
 # Build and verify the installed examples, then clean up to avoid rpmbuild warnings.
 EXAMPLE_FLAGS=-I$(DESTDIR)$(includedir) -L$(DESTDIR)$(libdir) -Wl,-rpath,$(DESTDIR)$(libdir)
 EXAMPLE_DIR=$(DESTDIR)$(pkgdatadir)/examples 
 installcheck-local:
 	cd $(EXAMPLE_DIR) && $(MAKE) CXX="$(CXX)" CXXFLAGS="$(EXAMPLE_FLAGS)" all
-	cd $(EXAMPLE_DIR) && QPIDD=$(top_builddir)/src/qpidd $(abs_srcdir)/verify
+	cd $(EXAMPLE_DIR) && QPIDD=$(DESTDIR)$(sbindir)/qpidd $(abs_srcdir)/verify
 	cd $(EXAMPLE_DIR) && $(MAKE) clean
 

Modified: incubator/qpid/trunk/qpid/cpp/examples/verify
URL: http://svn.apache.org/viewvc/incubator/qpid/trunk/qpid/cpp/examples/verify?rev=604249&r1=604248&r2=604249&view=diff
==============================================================================
--- incubator/qpid/trunk/qpid/cpp/examples/verify (original)
+++ incubator/qpid/trunk/qpid/cpp/examples/verify Fri Dec 14 10:40:03 2007
@@ -8,8 +8,10 @@
 # Start private broker if QPIDD is set.
 
 if [ -n "$QPIDD" ] ; then
-    QPID_PORT=`$QPIDD -dp0` || { echo "Cannot start $QPIDD" ; exit 1; }
-    export QPID_PORT
+    # FIXME aconway 2007-12-14: Should use --port 0, need
+    # to make examples clients more flexible to connect.
+    # 
+    $QPIDD -d || { echo "Cannot start $QPIDD" ; exit 1; }
     trap "$QPIDD -q" EXIT
 fi
 
@@ -73,7 +75,7 @@
 # FIXME aconway 2007-12-14: put back pub-sub and persistence when fixed.
 
 # Main
-for ex in  direct fanout request-response ; do
+for ex in  direct fanout request-response  ; do
     func=`echo $ex | tr - _`
     echo "Verifing $ex"
     ( cd $ex && $func && verify && rm -f *.out *.wait) 



Mime
View raw message